Index: trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc	(revision 7188)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc	(revision 7189)
@@ -74,4 +74,5 @@
 #include "MCalibrationIntensityRelTimeCam.h"
 #include "MCalibrationIntensityQECam.h"
+#include "MCalibrationIntensityConstCam.h"
 #include "MBadPixelsIntensityCam.h"
 
@@ -268,4 +269,5 @@
     MCalibrationIntensityBlindCam       iblcam;
     MCalibrationIntensityRelTimeCam     itmcam;
+    MCalibrationIntensityConstCam       icncam;
     MBadPixelsIntensityCam              ibdcam;
 
@@ -299,4 +301,5 @@
         interlacedcont.Add(&itmcam);
         interlacedcont.Add(&ibdcam);
+        interlacedcont.Add(&icncam);
         interlacedcont.Add(&hchacam);
 	if (IsUseBlindPixel())
@@ -317,6 +320,7 @@
     calibcont.Add(&qecam);
     calibcont.Add(&bndcam);
-    calibcont.Add(&pind);
     calibcont.Add(&tmcam);
+    if (IsUseBlindPixel())
+        calibcont.Add(&bndcam);
 
     if (!ReadCalibration(calibcont, badpix, extractor2, extractor3, geom))
@@ -362,4 +366,5 @@
     // This is necessary for the case in which it is not in the files
     MBadPixelsCam badcam;
+    icncam.SetBadPixels(&badpix);
 
     // Setup Parlist
@@ -524,4 +529,6 @@
 
     MCalibrationChargeCalc  chcalc;
+    chcalc.SetExtractor(extractor3);
+
     MCalibrationRelTimeCalc recalc;
     MCalibCalcFromPast      pacalc;
@@ -570,5 +577,5 @@
     // MHCamEvent evt3(4, "PedPhot",    "Calibrated Pedestal;;P [phe]");
     MHCamEvent evt4(  5, "PedRMS",     "Calibrated RMS from Extractor applied to ped.;;\\sigma_{p} [phe]");
-    MHCamEvent evt5(  0, "Interp'd",   "Interpolated Signal per area scale A/A_{0};;S [phe]");
+    MHCamEvent evt5(  0, "Interp'd",   "Interpolated Signal scaled with A/A_{0};;S [phe]");
     MHCamEvent evt6(102, "Unsuitable", "Fraction of unsuitable events per Pixel;;[1]");
     MHCamEvent evt7(  6, "Times",      "Calibrated Arrival Time;;T [fadc sl]");
@@ -577,14 +584,14 @@
     evt6.SetThreshold();
 
-    MFillH fill0(&evt0, "MPedestalFundamental",       "FillPedFLG");
-    MFillH fill1(&evt1, "MPedestalFromExtractorRndm", "FillPedRmsFLG");
-    MFillH fill2(&evt2, "MExtractedSignalCam",        "FillExtracted");
+    MFillH fill0(&evt0, "MPedestalFundamental",          "FillPedFLG");
+    MFillH fill1(&evt1, "MPedestalFromExtractorRndm",    "FillPedRmsFLG");
+    MFillH fill2(&evt2, "MExtractedSignalCam",           "FillExtracted");
     // MFillH fill3(&evt3, "MPedPhotFundamental",  "FillPedPhot");
-    MFillH fill4(&evt4, "MPedPhotFromExtractorRndm",  "FillPedRMS");
-    MFillH fill5(&evt5, "MSignalCam",                 "FillInterpolated");
-    MFillH fill6(&evt6, "MBadPixelsCam",              "FillUnsuitable");
-    MFillH fill7(&evt7, "MSignalCam",                 "FillTimes");
-    MFillH fill8(&evt8, "MCalibConstCam",             "FillConv");
-    MFillH fill9(&evt9, "MSignalCam",                 "FillPulse");
+    MFillH fill4(&evt4, "MPedPhotFromExtractorRndm",     "FillPedRMS");
+    MFillH fill5(&evt5, "MSignalCam",                    "FillInterpolated");
+    MFillH fill6(&evt6, "MBadPixelsCam",                 "FillUnsuitable");
+    MFillH fill7(&evt7, "MSignalCam",                    "FillTimes");
+    MFillH fill8(&evt8, "MCalibrationIntensityConstCam", "FillConv");
+    MFillH fill9(&evt9, "MSignalCam",                    "FillPulse");
 
     MTaskEnv fillflorian("FinalFantasy");
Index: trunk/MagicSoft/Mars/mjobs/MJCalibration.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibration.cc	(revision 7188)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibration.cc	(revision 7189)
@@ -1838,4 +1838,5 @@
     MCalibrationChargeCalc   calcalc;
     MCalibrationRelTimeCalc  timecalc;
+    calcalc.SetExtractor(fExtractor);
     calcalc.SetOutputFile("");
     timecalc.SetOutputFile("");
Index: trunk/MagicSoft/Mars/mjobs/MJPedestal.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJPedestal.cc	(revision 7188)
+++ trunk/MagicSoft/Mars/mjobs/MJPedestal.cc	(revision 7189)
@@ -174,11 +174,4 @@
     }
 
-    TObject *o = file.Get("ExtractSignal");
-    if (o && !o->InheritsFrom(MExtractor::Class()))
-    {
-        *fLog << err << dbginf << "ERROR - ExtractSignal read from " << fname << " doesn't inherit from MExtractor!" << endl;
-        return NULL;
-    }
-
     if (file.FindKey("MBadPixelsCam"))
     {
@@ -190,4 +183,14 @@
     }
 
+    if (fExtractor)
+        return fExtractor;
+
+    TObject *o=0;
+    o = file.Get("ExtractSignal");
+    if (o && !o->InheritsFrom(MExtractor::Class()))
+    {
+        *fLog << err << dbginf << "ERROR - ExtractSignal read from " << fname << " doesn't inherit from MExtractor!" << endl;
+        return NULL;
+    }
     return o ? (MExtractor*)o->Clone("ExtractSignal") : NULL;
 }
